.TH snmp_user_based_sm_mib 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmp_user_based_sm_mib \- Instrumentation Functions for SNMP-USER-BASED-SM-MIB
.SH DESCRIPTION
.LP
The module \fIsnmp_user_based_sm_mib\fR implements the instrumentation functions for the SNMP-USER-BASED-SM-MIB, and functions for configuring the database\&. 
.LP
The configuration files are described in the SNMP User\&'s Manual\&.

.SH EXPORTS
.LP
.B
configure(ConfDir) -> void()
.br
.RS
.TP
Types
ConfDir = string()
.br
.RE
.RS
.LP
This function is called from the supervisor at system start-up\&. 
.LP
Inserts all data in the configuration files into the database and destroys all old rows with StorageType \fIvolatile\fR\&. The rows created from the configuration file will have StorageType \fInonVolatile\fR\&. 
.LP
All \fIsnmp\fR counters are set to zero\&. 
.LP
If an error is found in the configuration file, it is reported using the function \fIconfig_err/2\fR of the error report module, and the function fails with the reason \fIconfiguration_error\fR\&. 
.LP
\fIConfDir\fR is a string which points to the directory where the configuration files are found\&. 
.LP
The configuration file read is: \fIusm\&.conf\fR\&. 
.RE
.LP
.B
reconfigure(ConfDir) -> void()
.br
.RS
.TP
Types
ConfDir = string()
.br
.RE
.RS
.LP
Inserts all data in the configuration files into the database and destroys all old data, including the rows with StorageType \fInonVolatile\fR\&. The rows created from the configuration file will have StorageType \fInonVolatile\fR\&. 
.LP
Thus, the data in the SNMP-USER-BASED-SM-MIB, after this function has been called, is the data from the configuration files\&. 
.LP
All \fIsnmp\fR counters are set to zero\&. 
.LP
If an error is found in the configuration file, it is reported using the function \fIconfig_err/2\fR of the error report module, and the function fails with the reason \fIconfiguration_error\fR\&. 
.LP
\fIConfDir\fR is a string which points to the directory where the configuration files are found\&. 
.LP
The configuration file read is: \fIusm\&.conf\fR\&. 
.RE
.LP
.B
add_user(EngineID, Name, SecName, Clone, AuthP, AuthKeyC, OwnAuthKeyC, PrivP, PrivKeyC, OwnPrivKeyC, Public, AuthKey, PrivKey) -> Ret
.br
.RS
.TP
Types
EngineID = string()
.br
Name = string()
.br
SecName = string()
.br
Clone = zeroDotZero | [integer()]
.br
AuthP = usmNoAuthProtocol | usmHMACMD5AuthProtocol | usmHMACSHAAuthProtocol
.br
AuthKeyC = string()
.br
OwnAuthKeyC = string()
.br
PrivP = usmNoPrivProtocol | usmDESPrivProtocol
.br
PrivKeyC = string()
.br
OwnPrivKeyC = string()
.br
Public = string()
.br
AuthKey = string()
.br
PrivKey = string()
.br
Ret = {ok, Key} | {error, Reason}
.br
Key = term()
.br
Reason = term()
.br
.RE
.RS
.LP
Adds a USM security data (user) to the agent config\&. Equivalent to one line in the \fIusm\&.conf\fR file\&.
.RE
.LP
.B
delete_user(Key) -> Ret
.br
.RS
.TP
Types
Key = term()
.br
Ret = ok | {error, Reason}
.br
Reason = term()
.br
.RE
.RS
.LP
Delete a USM security data (user) from the agent config\&.
.RE
